package org.gcube.parthenosentities.model.reference.entity.resource.cidoc;

import org.gcube.informationsystem.types.reference.Change;
import org.gcube.informationsystem.types.reference.TypeMetadata;
import org.gcube.informationsystem.utils.Version;
import org.gcube.resourcemanagement.model.reference.entities.resources.Software;

/**
 * @author Luca Frosini (ISTI - CNR)
 */
@TypeMetadata(name = D14_Software.NAME, description = D14_Software.NAME, version = Version.MINIMAL_VERSION_STRING)
@Change(version = Version.MINIMAL_VERSION_STRING, description = Version.MINIMAL_VERSION_DESCRIPTION)
public interface D14_Software extends D1_Digital_Object, Software {

	public static final String NAME = "D14_Software"; // D14_Software.class.getSimpleName();
	
}
