package org.gcube.parthenosentities.model.reference.entity.resource.cidoc;

import org.gcube.informationsystem.types.reference.Change;
import org.gcube.informationsystem.types.reference.TypeMetadata;
import org.gcube.informationsystem.utils.Version;
import org.gcube.resourcemanagement.model.reference.entities.resources.Person;

/**
 * @author Luca Frosini (ISTI - CNR)
 */
@TypeMetadata(name = E21_Person.NAME, description = E21_Person.NAME, version = Version.MINIMAL_VERSION_STRING)
@Change(version = Version.MINIMAL_VERSION_STRING, description = Version.MINIMAL_VERSION_DESCRIPTION)
public interface E21_Person extends E39_Actor, Person {
	
	public static final String NAME = "E21_Person"; // E21_Person.class.getSimpleName();
	
}
