package org.gcube.parthenosentities.model.reference.entity.resource.parthenos;

import org.gcube.informationsystem.types.reference.Change;
import org.gcube.informationsystem.types.reference.TypeMetadata;
import org.gcube.informationsystem.utils.Version;

/**
 * @author Luca Frosini (ISTI - CNR)
 */
@TypeMetadata(name = PE16_Curated_Software_EService.NAME, description = PE16_Curated_Software_EService.NAME, version = Version.MINIMAL_VERSION_STRING)
@Change(version = Version.MINIMAL_VERSION_STRING, description = Version.MINIMAL_VERSION_DESCRIPTION)
public interface PE16_Curated_Software_EService extends
		PE11_Software_Curating_Service, PE14_Software_Delivery_EService,
		PE13_Software_Computing_EService {

	public static final String NAME = "PE16_Curated_Software_E-Service";
	
}
