package org.gcube.parthenosentities.model.reference.entity.resource.parthenos;

import org.gcube.informationsystem.types.reference.Change;
import org.gcube.informationsystem.types.reference.TypeMetadata;
import org.gcube.informationsystem.utils.Version;
import org.gcube.parthenosentities.model.reference.entity.resource.cidoc.D1_Digital_Object;
import org.gcube.resourcemanagement.model.reference.entities.resources.Dataset;

/**
 * @author Luca Frosini (ISTI - CNR)
 */
@TypeMetadata(name = PE18_Dataset.NAME, description = PE18_Dataset.NAME, version = Version.MINIMAL_VERSION_STRING)
@Change(version = Version.MINIMAL_VERSION_STRING, description = Version.MINIMAL_VERSION_DESCRIPTION)
public interface PE18_Dataset extends Dataset, D1_Digital_Object {

	public static final String NAME = "PE18_Dataset"; // PE18_Dataset.class.getSimpleName();
	
}
