package org.gcube.parthenosentities.model.reference.entity.resource.parthenos;

import org.gcube.informationsystem.types.reference.Change;
import org.gcube.informationsystem.types.reference.TypeMetadata;
import org.gcube.informationsystem.utils.Version;
import org.gcube.parthenosentities.model.reference.entity.resource.cidoc.D1_Digital_Object;

/**
 * @author Luca Frosini (ISTI - CNR)
 */
@TypeMetadata(name = PE20_Volatile_Digital_Object.NAME, description = PE20_Volatile_Digital_Object.NAME, version = Version.MINIMAL_VERSION_STRING)
@Change(version = Version.MINIMAL_VERSION_STRING, description = Version.MINIMAL_VERSION_DESCRIPTION)
public interface PE20_Volatile_Digital_Object extends PE32_Curated_Thing,
		D1_Digital_Object {

	public static final String NAME = "PE20_Volatile_Digital_Object"; // PE20_Volatile_Digital_Object.class.getSimpleName();
	
}
