package org.gcube.parthenosentities.model.discovery;

import org.gcube.informationsystem.base.reference.AccessType;
import org.gcube.informationsystem.base.reference.Element;
import org.gcube.informationsystem.discovery.knowledge.ModelKnowledge;
import org.gcube.informationsystem.serialization.ElementMapper;
import org.gcube.informationsystem.tree.Tree;
import org.junit.Test;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

public class DiscoveryTest {

	private static Logger logger = LoggerFactory.getLogger(DiscoveryTest.class);
	
	@Test
	public void test() throws Exception {
		ModelKnowledge modelKnowledge = ElementMapper.getGlobalModelKnowledgeInstance();
		modelKnowledge.createKnowledge();
		for(AccessType at : AccessType.getModelTypes()) {
			Tree<Class<Element>> tree = modelKnowledge.getClassesTree(at);
			logger.info("\n{}", tree.toString());
		}
	}
}
