package org.gcube.parthenosentities.model.reference.entity.facet.parthenos;

import org.gcube.informationsystem.model.reference.entities.Facet;
import org.gcube.informationsystem.types.annotations.ISProperty;
import org.gcube.informationsystem.types.reference.Change;
import org.gcube.informationsystem.types.reference.TypeMetadata;
import org.gcube.informationsystem.utils.Version;

/**
 * @author Luca Frosini (ISTI - CNR)
 * @author Alessia Bardi
 */
@TypeMetadata(name = E30_Right.NAME, description = E30_Right.NAME, version = Version.MINIMAL_VERSION_STRING)
@Change(version = Version.MINIMAL_VERSION_STRING, description = Version.MINIMAL_VERSION_DESCRIPTION)
public interface E30_Right extends Facet {

	public static final String NAME = "E30_Right"; // E30_Right.class.getSimpleName();
	
	@ISProperty
	public String getRights();

	public void setRights(String rights);
	
}
