package org.gcube.parthenosentities.model.reference.entity.resource.cidoc;

import org.gcube.informationsystem.types.reference.Change;
import org.gcube.informationsystem.types.reference.TypeMetadata;
import org.gcube.informationsystem.utils.Version;
import org.gcube.parthenosentities.model.reference.entity.facet.parthenos.PE_Contact_Reference_Facet;
import org.gcube.resourcemanagement.model.reference.entities.facets.IdentifierFacet;
import org.gcube.resourcemanagement.model.reference.entities.resources.Actor;

/**
 * @author Luca Frosini (ISTI - CNR)
 * 
 * Attached facets are:
 * 	- {@link IdentifierFacet} to map ID
 *  - {@link PE_Contact_Reference_Facet}
 *  
 */
@TypeMetadata(name = E39_Actor.NAME, description = E39_Actor.NAME, version = Version.MINIMAL_VERSION_STRING)
@Change(version = Version.MINIMAL_VERSION_STRING, description = Version.MINIMAL_VERSION_DESCRIPTION)
public interface E39_Actor extends Actor, E77_Persistent_Item {
	
	public static final String NAME = "E39_Actor"; // E39_Actor.class.getSimpleName();
	
}
