package org.gcube.parthenosentities.model.reference.entity.resource.cidoc;

import org.gcube.informationsystem.types.reference.Change;
import org.gcube.informationsystem.types.reference.TypeMetadata;
import org.gcube.informationsystem.utils.Version;
import org.gcube.resourcemanagement.model.reference.entities.resources.LegalBody;

/**
 * @author Luca Frosini (ISTI - CNR)
 */
@TypeMetadata(name = E40_Legal_Body.NAME, description = E40_Legal_Body.NAME, version = Version.MINIMAL_VERSION_STRING)
@Change(version = Version.MINIMAL_VERSION_STRING, description = Version.MINIMAL_VERSION_DESCRIPTION)
public interface E40_Legal_Body extends E74_Group, LegalBody {

	public static final String NAME = "E40_Legal_Body"; // E40_Legal_Body.class.getSimpleName();
	
}
