package org.gcube.parthenosentities.model.reference.entity.resource.parthenos;

import org.gcube.informationsystem.types.reference.Change;
import org.gcube.informationsystem.types.reference.TypeMetadata;
import org.gcube.informationsystem.utils.Version;
import org.gcube.parthenosentities.model.reference.entity.resource.cidoc.D14_Software;

/**
 * @author Luca Frosini (ISTI - CNR)
 */
@TypeMetadata(name = PE21_Persistent_Software.NAME, description = PE21_Persistent_Software.NAME, version = Version.MINIMAL_VERSION_STRING)
@Change(version = Version.MINIMAL_VERSION_STRING, description = Version.MINIMAL_VERSION_DESCRIPTION)
public interface PE21_Persistent_Software extends D14_Software,
		PE19_Persistent_Digital_Object {

	public static final String NAME = "PE21_Persistent_Software"; // PE21_Persistent_Software.class.getSimpleName();
	
}
