package org.gcube.parthenosentities.model.reference.entity.resource.parthenos;

import org.gcube.informationsystem.types.reference.Change;
import org.gcube.informationsystem.types.reference.TypeMetadata;
import org.gcube.informationsystem.utils.Version;
import org.gcube.parthenosentities.model.reference.entity.resource.cidoc.D14_Software;

/**
 * @author Luca Frosini (ISTI - CNR)
 */
@TypeMetadata(name = PE23_Volatile_Software.NAME, description = PE23_Volatile_Software.NAME, version = Version.MINIMAL_VERSION_STRING)
@Change(version = Version.MINIMAL_VERSION_STRING, description = Version.MINIMAL_VERSION_DESCRIPTION)
public interface PE23_Volatile_Software extends D14_Software,
		PE20_Volatile_Digital_Object {

	public static final String NAME = "PE23_Volatile_Software"; // PE23_Volatile_Software.class.getSimpleName();
	
}
