package org.gcube.parthenosentities.model.reference.entity.resource.parthenos;

import org.gcube.informationsystem.types.reference.Change;
import org.gcube.informationsystem.types.reference.TypeMetadata;
import org.gcube.informationsystem.utils.Version;
import org.gcube.parthenosentities.model.reference.entity.resource.cidoc.E55_Type;

/**
 * @author Luca Frosini (ISTI - CNR)
 */
@TypeMetadata(name = PE43_Encoding_Type.NAME, description = PE43_Encoding_Type.NAME, version = Version.MINIMAL_VERSION_STRING)
@Change(version = Version.MINIMAL_VERSION_STRING, description = Version.MINIMAL_VERSION_DESCRIPTION)
public interface PE43_Encoding_Type extends E55_Type {
	
	public static final String NAME = "PE43_Encoding_Type"; // PE43_Encoding_Type.class.getSimpleName();
	
}
